Unit AVZ1C_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

function AVZ1C(var V :Array of Complex; N :Integer;
                ISTEP :Integer): Real;

implementation

function AVZ1C(var V :Array of Complex; N :Integer;
                ISTEP :Integer): Real;
var
J,I :Integer;
TEMP :Real;
label
_1;
begin
{ Result -    AVZ1C  FORTRANe }
TEMP := 0.0;
J := 1+(N-1)*ISTEP;
I := 1;
while ( I<=J ) do
 begin
  TEMP := TEMP+Cabs(V[I-1]);
_1:
  inc(I,ISTEP);
 end;
Result := TEMP;
exit;
end;

end.
